GDB (xrefs)

Public Attributes | List of all members
gdb_ext_thread_info Struct Reference

## Public Attributes
threadref | threadid
int | active
char | display [256]
char | shortname [32]
char | more_display [256]

## Detailed Description

Definition at line 2297 of file remote.c.

## Member Data Documentation

## ◆ active

int gdb_ext_thread_info::active

Definition at line 2300 of file remote.c.

Referenced by remote_threads_extra_info(), and remote_unpack_thread_info_response().

## ◆ display

char gdb_ext_thread_info::display[256]

Definition at line 2302 of file remote.c.

Referenced by remote_threads_extra_info(), and remote_unpack_thread_info_response().

## ◆ more_display

char gdb_ext_thread_info::more_display[256]

Definition at line 2305 of file remote.c.

Referenced by remote_threads_extra_info(), and remote_unpack_thread_info_response().

## ◆ shortname

char gdb_ext_thread_info::shortname[32]

Definition at line 2304 of file remote.c.

Referenced by remote_threads_extra_info(), and remote_unpack_thread_info_response().

## ◆ threadid

threadref gdb_ext_thread_info::threadid

Definition at line 2299 of file remote.c.

Referenced by remote_unpack_thread_info_response().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/remote.c